function kin_comparison(idx, plot_title)

       

[time_full, angle_full] = readStoFile('ue_full_bestSoFar_states.sto', 1, idx ); % full-dimensional
[time_low, angle_low] = readStoFile('ue_low_stroke_bestSoFar_states.sto', 1, idx ); % 8 synergies
[time_low_3, angle_low_3] = readStoFile('ue_low_stroke_bestSoFar_states_3.sto', 1, idx ); % 3 synergies

angle_full = angle_full * 180/pi; 
angle_low = angle_low * 180/pi; 
angle_low_3 = angle_low_3 * 180/pi; 

width = 3;     
height = 3;    
alw = 1.75;    
fsz = 24;     
lw = 2.5;      
msz = 8;

figure();
plot(time_low_3, angle_low_3, time_low, angle_low, time_full, angle_full, 'LineWidth', 3.5);

set(gca, 'FontSize', fsz, 'LineWidth', 2.5)
if(strcmp(plot_title,'Elevation Plane'))
    legend('3 Synergies', '8 Synergies', 'Full', 'Location', 'NorthWest');
end
xlabel('Time (s)');
ylabel(strcat(plot_title, ' Angle (deg)'));

ax = gca;
ax.XTick = 0:0.15:0.45;
xlim([0, 0.47]);

legend boxoff;
box off;

end